import {Factory as AdminPanelFactory} from '@common/admin/Factory';
import {Factory} from './Factory';
import {TSettings} from './types/TSettings';

declare let settings:TSettings;

document.addEventListener('DOMContentLoaded', () => {
    let adminPanelFactory = new AdminPanelFactory();
    adminPanelFactory.initAdminPanel();
    let factory = new Factory();
    let appContainer = document.querySelector('.js-app-container');
    factory.init(<HTMLElement>appContainer);
    factory.getComponentsFactory().getAppContainer().renderObjForm(settings.item.object);
    // factory.getComponentsFactory().getObjectForm('obj-form-key').render(settings.item.object);
});